## systemd-hwe 249.11.1

=== debian/changelog ===
systemd-hwe (249.11.1) jammy; urgency=medium

  * Initial release (LP: #1981599).
  * Add hwdb.d/90-hwe-ubuntu.hwdb as a placeholder, and to serve as
    documentation.
  * Add a build-time test to check for duplicate rules between
    systemd-hwe-hwdb and udev.
  * Use test-sd-hwdb from system-tests as an autopkgtest.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Tue, 30 Aug 2022 09:50:56 -0400

## systemd-hwe 249.11.2

=== debian/changelog ===
systemd-hwe (249.11.2) jammy; urgency=medium

  * Add ACCEL_LOCATION=base property for Dell clamshell models (LP: #1999782)

  [ Kai-Chuan Hsieh ]
  * hwdb: Mark Dell platform accel sensor location to base

  [ Andy Chi ]
  * hwdb.d: add Dell models that need ACCEL_LOCATION=base

  [ Dirk Su ]
  * hwdb: Add Dell models that require ACCEL_LOCATION=base

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 10 Jan 2023 15:10:55 +0100

## systemd-hwe 249.11.3

=== debian/changelog ===
systemd-hwe (249.11.3) jammy; urgency=medium

  [ Koba Ko ]
  * hwdb: Add Dell G16 that require KEYBOARD_KEY_100150=f20 (LP: #2007032)

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 15 Feb 2023 11:53:16 +0100

## systemd-hwe 249.11.5

=== debian/changelog ===
systemd-hwe (249.11.5) jammy; urgency=medium

  [ Artur Pak ]
  * Add autosuspend rules for Framework (LP: #2045621)
  * Add three Dell platforms to sensor accel location base (LP: #2046687)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 05 Jan 2024 10:29:41 -0500

systemd-hwe (249.11.4) jammy; urgency=medium

  [ Yo-Jung Lin ]
  * hwdb: Add Dell models that require ACCEL_LOCATION=base (LP: #2044431)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 28 Nov 2023 14:43:05 -0500

## systemd-hwe 257.4.3

=== Makefile ===
.PHONY: test
test:
	./tests/hwdb-redundancy

## systemd-hwe 249.11.6

=== debian/changelog ===
systemd-hwe (249.11.6) jammy; urgency=medium

  * Fix hardware name for Intel Wireless-AC 9560 on Jasper Lake (LP: #2121006)

 -- Yao Wei (魏銘廷) <yao.wei@canonical.com>  Wed, 20 Aug 2025 12:04:50 +0800

=== debian/control ===
Source: systemd-hwe
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               python3-all,
               udev,
Standards-Version: 4.6.0
Rules-Requires-Root: no
Vcs-Git: https://git.launchpad.net/~canonical-foundations/+git/systemd-hwe -b main

Package: systemd-hwe-hwdb
Architecture: all
Depends: ${misc:Depends},
         udev,
Description: udev rules for hardware enablement (HWE)
 systemd-hwe-hwdb contains hwdb rules for HWE on Ubuntu,
 which are not yet present in systemd.

=== debian/tests/control ===
Test-Command: /usr/lib/systemd/tests/test-sd-hwdb
Depends: systemd-tests,
  udev,
  systemd-hwe-hwdb,
Restrictions: needs-root, allow-stderr
Features: test-name=test-sd-hwdb

## systemd-hwe 251.2.1

=== debian/changelog ===
systemd-hwe (251.2.1) kinetic; urgency=medium

  * Initial release (LP: #1981599).
  * Add hwdb.d/90-hwe-ubuntu.hwdb as a placeholder, and to serve as
    documentation.
  * Add a build-time test to check for duplicate rules between
    systemd-hwe-hwdb and udev.
  * Use test-sd-hwdb from system-tests as an autopkgtest.

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 13 Jul 2022 11:03:32 -0400

## systemd-hwe 251.4.4

=== debian/changelog ===
systemd-hwe (251.4.4) kinetic; urgency=medium

  [ Koba Ko ]
  * hwdb: Add Dell G16 that require KEYBOARD_KEY_100150=f20 (LP: #2007032)

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 15 Feb 2023 11:51:40 +0100

systemd-hwe (251.4.3) kinetic; urgency=medium

  * Add ACCEL_LOCATION=base property for Dell clamshell models (LP: #1999782)

  [ Kai-Chuan Hsieh ]
  * hwdb: Mark Dell platform accel sensor location to base

  [ Andy Chi ]
  * hwdb.d: add Dell models that need ACCEL_LOCATION=base

  [ Dirk Su ]
  * hwdb: Add Dell models that require ACCEL_LOCATION=base

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 10 Jan 2023 15:04:48 +0100

## systemd-hwe 252.4.3

=== debian/changelog ===
systemd-hwe (252.4.3) lunar; urgency=medium

  [ Koba Ko ]
  * hwdb: Add Dell G16 that require KEYBOARD_KEY_100150=f20 (LP: #2007032)

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 15 Feb 2023 11:39:03 +0100

systemd-hwe (252.4.2) lunar; urgency=medium

  [ Dirk Su ]
  * hwdb: Add Dell models that require ACCEL_LOCATION=base (LP: #2002065)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 10 Jan 2023 14:54:42 +0100

systemd-hwe (252.4.1) lunar; urgency=medium

  * hwdb: Mark Dell platform accel sensor location to base (LP: #2002388)

 -- Kai-Chuan Hsieh <kaichuan.hsieh@canonical.com>  Tue, 10 Jan 2023 17:39:05 +0800

systemd-hwe (252.1.1) lunar; urgency=medium

  [ Lukas Märdian ]
  * Add d/gbp.conf

  [ Andy Chi ]
  * hwdb.d: add Dell models that need ACCEL_LOCATION=base (LP: #1999782)

  [ Nick Rosbrook ]
  * debian/gbp.conf: update for lunar

 -- Nick Rosbrook <nick.rosbrook@canonical.com>  Wed, 04 Jan 2023 13:01:18 -0500

## systemd-hwe 252.4.4

=== debian/changelog ===
systemd-hwe (252.4.4) lunar; urgency=medium

  [ Yo-Jung Lin ]
  * hwdb: Add Dell models that require ACCEL_LOCATION=base (LP: #2044431)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 28 Nov 2023 14:52:04 -0500

## systemd-hwe 253.5.1

=== debian/changelog ===
systemd-hwe (253.5.1) mantic; urgency=medium

  * Drop Dell G16 KEYBOARD_KEY_100150, to fix FTBFS. Included upstream.
  * Drop Dell ACCEL_LOCATION=base to fix FTBFS. Included upstream.
  * Update debian/gbp.conf for mantic

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 06 Sep 2023 14:07:58 +0200

## systemd-hwe 253.5.3

=== debian/changelog ===
systemd-hwe (253.5.3) mantic; urgency=medium

  [ Artur Pak ]
  * Add autosuspend rules for Framework (LP: #2045621)
  * Add three Dell platforms to sensor accel location base (LP: #2046687)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 05 Jan 2024 10:40:58 -0500

systemd-hwe (253.5.2) mantic; urgency=medium

  [ Yo-Jung Lin ]
  * hwdb: Add Dell models that require ACCEL_LOCATION=base (LP: #2044431)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 28 Nov 2023 15:27:30 -0500

## systemd-hwe 255.1.2

=== debian/changelog ===
systemd-hwe (255.1.2) noble; urgency=medium

  * debian/tests/control: update path to test-sd-hwdb

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 15 Dec 2023 10:03:08 -0500

systemd-hwe (255.1.1) noble; urgency=medium

  * debian/gbp.conf: update for noble
  * tests/hwdb-redundancy: improve output of duplicate rules

 -- Nick Rosbrook <enr0n@ubuntu.com>  Tue, 28 Nov 2023 16:26:00 -0500

## systemd-hwe 255.1.3

=== debian/changelog ===
systemd-hwe (255.1.3) noble; urgency=medium

  [ Artur Pak ]
  * Add three Dell platforms to sensor accel location base (LP: #2046687)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Fri, 05 Jan 2024 11:55:10 -0500

## systemd-hwe 255.1.4

=== debian/changelog ===
systemd-hwe (255.1.4) noble; urgency=medium

  [ Kai-Chuan Hsieh ]
  * Add micmute key mapping for Dell Pro Rugged series (LP: #2073717)

  [ Nick Rosbrook ]
  * hwdb.d/90-sensor-ubuntu.hwdb: drop duplicate rules (LP: #2069383)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Wed, 28 Aug 2024 11:21:32 -0400

## systemd-hwe 255.1.5

=== debian/changelog ===
systemd-hwe (255.1.5) noble; urgency=medium

  * Fix hardware name for Intel Wireless-AC 9560 on Jasper Lake (LP: #2121006)

 -- Yao Wei (魏銘廷) <yao.wei@canonical.com>  Wed, 20 Aug 2025 12:04:50 +0800

## systemd-hwe 255.1.6

=== debian/changelog ===
systemd-hwe (255.1.6) noble; urgency=medium

  [ Chih Wen Hsiao ]
  * hwdb: enable autosuspend for Dell DW5826e WWAN modem (LP: #2126468)

 -- Tony Hsiao <tony.hsiao@canonical.com>  Wed, 01 Oct 2025 11:09:13 +0800

## systemd-hwe 255.1.7

=== debian/changelog ===
systemd-hwe (255.1.7) noble; urgency=medium

  * Add Mic mute key mapping for HP Eliteboard (LP: #2138596)

 -- Dirk Su <dirk.su@canonical.com>  Mon, 02 Feb 2026 09:19:05 -0500

## systemd-hwe 256.2.1

=== debian/changelog ===
systemd-hwe (256.2.1) oracular; urgency=medium

  [ Kai-Chuan Hsieh ]
  * Add micmute key mapping for Dell Pro Rugged series (LP: #2073717)

  [ Nick Rosbrook ]
  * debian/gbp.conf: update for oracular
  * hwdb.d/90-sensor-ubuntu.hwdb: drop duplicate rules

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 22 Jul 2024 10:56:45 -0400

## systemd-hwe 256.4.1

=== debian/changelog ===
systemd-hwe (256.4.1) oracular; urgency=medium

  * hwdb.d/90-keyboard-ubuntu.hwdb: drop duplicate rules (LP: #2077330)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Mon, 19 Aug 2024 09:31:39 -0400

=== debian/tests/control ===
Test-Command: /usr/lib/systemd/tests/unit-tests/test-sd-hwdb
Depends: systemd-tests,
  udev,
  systemd-hwe-hwdb,
Restrictions: needs-root, allow-stderr
Features: test-name=test-sd-hwdb

## systemd-hwe 257.4.2

=== debian/changelog ===
systemd-hwe (257.4.2) plucky; urgency=medium

  * Fix hardware name for Intel Wireless-AC 9560 on Jasper Lake (LP: #2121006)

 -- Yao Wei (魏銘廷) <yao.wei@canonical.com>  Wed, 20 Aug 2025 12:04:50 +0800

## systemd-hwe 257.4.3

=== debian/changelog ===
systemd-hwe (257.4.3) plucky; urgency=medium

  [ Chih Wen Hsiao ]
  * hwdb: enable autosuspend for Dell DW5826e WWAN modem (LP: #2126468)

 -- Tony Hsiao <tony.hsiao@canonical.com>  Wed, 01 Oct 2025 16:40:22 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
                python3-all,
-               udev,
+               udev (>= 251.2-2ubuntu1~),
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Git: https://git.launchpad.net/~canonical-foundations/+git/systemd-hwe -b main

## systemd-hwe 257.7.1

=== debian/changelog ===
systemd-hwe (257.7.1) questing; urgency=medium

  * d/control: remove Vcs-Git field
  * d/systemd-hwe-hwdb.install: install to usr/lib explicitly 
  * Bump version string for questing

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 21 Aug 2025 10:33:52 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                udev (>= 251.2-2ubuntu1~),
 Standards-Version: 4.6.0
 Rules-Requires-Root: no
-Vcs-Git: https://git.launchpad.net/~canonical-foundations/+git/systemd-hwe -b main
 
 Package: systemd-hwe-hwdb
 Architecture: all

## systemd-hwe 257.7.2

=== debian/changelog ===
systemd-hwe (257.7.2) questing; urgency=medium

  * Add Mic mute key mapping for HP Eliteboard (LP: #2138596)

 -- Dirk Su <dirk.su@canonical.com>  Mon, 02 Feb 2026 09:17:12 -0500

## systemd-hwe 259.0.1

=== debian/changelog ===
systemd-hwe (259.0.1) resolute; urgency=medium

  * Add Mic mute key mapping for HP Eliteboard (LP: #2138596)

 -- Dirk Su <dirk.su@canonical.com>  Mon, 02 Feb 2026 08:53:55 -0500
